package svg

import "testing"
import "encoding/xml"
import "io"
import "os"

func TestLoadSimple(t *testing.T) {
	f, err := os.Open("../testdata/yellow_circle.svg")
	if err != nil {
		t.Fatalf("%s", err)
	}
	defer f.Close()
	buf, err := io.ReadAll(f)
	if err != nil {
		t.Fatalf("%s", err)
	}
	svg := SVG{}
	err = xml.Unmarshal(buf, &svg)
	if err != nil {
		t.Fatalf("%s", err)
	}

	t.Logf("svg: %v+", svg)
}
